---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: powerCalc
spec:
  replicas: 1
  selector:
    matchLabels:
      app: powerCalc
  template:
    metadata:
      labels:
        app: powerCalc
    spec:
      containers:
      - name: powerCalc
        image: registry.git-ce.rwth-aachen.de/acs/private/research/platone/wp2/power-calc
        imagePullPolicy: Always
        ports: []
        resources:
          limits:
            memory: 256Mi
            cpu: 500m
        env:
        - name: MQTT_BROKER
          value: "rabbitmq"
        - name: MQTT_PORT
          value: "1883"
        - name: MQTT_USER
          value: "admin"
        - name: MQTT_PSSWD
          valueFrom:
            secretKeyRef:
              name: rabbitmq-auth
              key: rabbitmq-password
        - name: MQTT_INPUT_TOPIC
          value: raw/bal
        - name: "MQTT_OUTPUT_TOPIC"
          value: processed/bal
        # volumeMounts:
        # - mountPath: /config.yaml
        #   name: config
        #   subPath: config.yaml
        #   readOnly: true
      volumes:
      - secret:
          secretName: rabbitmq-auth
          optional: true
        name: rabbitmq-auth
